> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/market/get-order-book/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get order book GET https://www.okx.com/api/v5/market/books Retrieve order book of the instrument. The data will be updated once every 50 milliseconds. Best ask price may be lower than the best bid price during the pre-open period. This endpoint does not return data immediately. Instead, it returns the latest data once the server-side cache has been updated. Reference: https://okx-demo.ferndocs.com/api/api-reference/market/get-order-book ## Request ### Query parameters - `instId` (string, required) — Instrument ID, e.g. `BTC-USDT` - `sz` (string, optional) — Order book depth per side. Maximum 400, e.g. 400 bids + 400 asks Default returns to `1` depth data ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5MarketBooksGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5MarketBooksGetResponsesContentApplicationJsonSchemaDataItems - `asks` (list of any, optional) — Order book on sell side - `bids` (list of any, optional) — Order book on buy side - `ts` (string, optional) — Order book generation time ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "asks": [ [ "41006.8", "0.60038921", "0", "1" ] ], "bids": [ [ "41006.3", "0.30178218", "0", "2" ] ], "ts": "1629966436396", "seqId": 3235851742 } ] } ``` **SDK Code** ```python market_getOrderBook_example import requests url = "https://www.okx.com/api/v5/market/books" querystring = {"instId":"BTC-USDT"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript market_getOrderBook_example const url = 'https://www.okx.com/api/v5/market/books?instId=BTC-USDT'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go market_getOrderBook_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/market/books?instId=BTC-USDT" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby market_getOrderBook_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/market/books?instId=BTC-USDT") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java market_getOrderBook_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/market/books?instId=BTC-USDT") .asString(); ``` ```php market_getOrderBook_example request('GET', 'https://www.okx.com/api/v5/market/books?instId=BTC-USDT'); echo $response->getBody(); ``` ```csharp market_getOrderBook_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/market/books?instId=BTC-USDT"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift market_getOrderBook_example import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/market/books?instId=BTC-USDT")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```